Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.renderer
Class ConcreteImageRendererFactory

    java.lang.Object
      org.apache.batik.gvt.renderer.ConcreteImageRendererFactory

All Implemented Interfaces:
  ImageRendererFactory, RendererFactory

public class ConcreteImageRendererFactory
extends java.lang.Object
implements ImageRendererFactory

This class provides a factory for renderers.

Constructor Summary
`ConcreteImageRendererFactory()`

Method Summary
`ImageRenderer` | `createDynamicImageRenderer()` Creates a new dynamic image renderer
`Renderer` | `createRenderer()` Creates a new renderer.
`ImageRenderer` | `createStaticImageRenderer()` Creates a new static image renderer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcreteImageRendererFactory

    public ConcreteImageRendererFactory()

Method Detail

### createRenderer

    public Renderer createRenderer()

  Creates a new renderer.

  Specified by:
    `createRenderer` in interface `RendererFactory`

### createStaticImageRenderer

    public ImageRenderer createStaticImageRenderer()

  Creates a new static image renderer

  Specified by:
    `createStaticImageRenderer` in interface `ImageRendererFactory`

### createDynamicImageRenderer

    public ImageRenderer createDynamicImageRenderer()

  Creates a new dynamic image renderer

  Specified by:
    `createDynamicImageRenderer` in interface `ImageRendererFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.